| Home | Libraries | People | FAQ | More

###### connection::async_handshake (1 of 2 overloads)

Performs the MySQL-level handshake.

###### Synopsis

    template<
        class CompletionToken>
    auto
    async_handshake(
        const handshake_params& params,
        CompletionToken&& token);

###### Description

Does not connect the underlying stream. If the `Stream` template parameter fulfills the `SocketConnection` requirements, use `connection::connect` instead of this function.

If using a SSL-capable stream, the SSL handshake will be performed by this function.

###### Object lifetimes

The strings pointed to by `params` should be kept alive by the caller until the operation completes, as no copy is made by the library.

###### Handler signature

The handler signature for this operation is `void(boost::mysql::error_code)`.